summaryrefslogtreecommitdiff
path: root/package/ppp/files/etc/ppp/ip-down.d/umts
diff options
context:
space:
mode:
Diffstat (limited to 'package/ppp/files/etc/ppp/ip-down.d/umts')
-rwxr-xr-xpackage/ppp/files/etc/ppp/ip-down.d/umts7
1 files changed, 7 insertions, 0 deletions
diff --git a/package/ppp/files/etc/ppp/ip-down.d/umts b/package/ppp/files/etc/ppp/ip-down.d/umts
new file mode 100755
index 000000000..6c812a782
--- /dev/null
+++ b/package/ppp/files/etc/ppp/ip-down.d/umts
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+[ "$IF_USE_TEMPLATE" == "umts" ] || exit 0
+
+# enable bit 3, disable bit 4 - i.e. UMTS-LED from blue to green
+LED=$(cat /proc/sys/diag)
+echo $(((LED | 16) ^ 16 | 8)) > /proc/sys/diag